version: '3'
services:
  api:
    image: komz-api-comment
    container_name: komz-api-comment
    command: npm run dev
    build: .
    ports:
      - "80:8080"
    volumes:
      - ./:/home/node/app
    environment:
      - POSTGRESQL_HOST=%POSTGRESQL_HOST%
      - POSTGRESQL_USER=%POSTGRESQL_USER%
      - POSTGRESQL_PASSWORD=%POSTGRESQL_PASSWORD%
      - POSTGRESQL_DATABASE=%POSTGRESQL_DATABASE%
      - POSTGRESQL_PORT=%POSTGRESQL_PORT%
      - API_IMAGE_URL=%API_IMAGE_URL%
      - API_USER_URL=%API_USER_URL%
      - API_LIKE_URL=%API_LIKE_URL%
